Page MenuHomeFreeBSD

[new port] sysutils/conman - serial console manager
ClosedPublic

Authored by jhixson on Jan 26 2019, 12:34 AM.

Details

Summary

[new port] sysutils/conman - serial console manager

Test Plan

Tested with poudriere for 11.2 and 12.0

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

jhixson created this revision.Jan 26 2019, 12:34 AM
araujo added inline comments.Jan 29 2019, 3:36 AM
sysutils/conman/pkg-plist
3 ↗(On Diff #53236)

Is it correct or there is a file name missing here?

jhixson added inline comments.Jan 29 2019, 4:31 AM
sysutils/conman/pkg-plist
3 ↗(On Diff #53236)

This is definitely wrong. I will fix this.

jhixson updated this revision to Diff 53363.Jan 29 2019, 5:05 AM

sysutils/conman: Fix ETCDIR and pkg-plist to have correct files

Harbormaster completed remote builds in B22243: Diff 53363.
jhixson marked an inline comment as done.Jan 29 2019, 5:06 AM
mat added inline comments.Jan 29 2019, 4:27 PM
sysutils/conman/pkg-plist
3 ↗(On Diff #53236)

The correct fix would have been to simply write etc/conman here instead of changing everything else.

4–5 ↗(On Diff #53363)

I do not think the default and init.d file will ever be used by anything at all.

6 ↗(On Diff #53363)

I don't know if we have a logrotate port, but if we have, this should be a @sample to make it user editable.

jhixson updated this revision to Diff 53438.Jan 30 2019, 7:46 PM

sysutils/conman: port fixes

  • Use %%ETCDIR%%
  • Use @sample for config files
  • Patch Makefile.in to install sample files
jhixson marked 3 inline comments as done.Jan 30 2019, 7:47 PM
araujo accepted this revision.Jan 31 2019, 2:19 AM
This revision is now accepted and ready to land.Jan 31 2019, 2:19 AM
This revision was automatically updated to reflect the committed changes.
mat added a comment.Jan 31 2019, 7:32 AM

What about removing all these ETCDIR changes that were not needed?